Bug 1566296 - wifi card, firmware crash, ath10k_pci, qca9377, linux-firmware-20180402-83, worked with previous rpm
Summary: wifi card, firmware crash, ath10k_pci, qca9377, linux-firmware-20180402-83, w...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 01:47 UTC by mike
Modified: 2018-05-29 11:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:21:05 UTC
Type: Bug


Attachments (Terms of Use)

Description mike 2018-04-12 01:47:03 UTC
wifi card, firmware crash, ath10k_pci, qca9377, linux-firmware-20180402-83, worked with previous rpm

Description of problem:

Updating to package linux-firmware-20180402-83 causes the wifi card driver/firmware to crash.
Wifi adapter does not work.

It worked with the prior version the linux-firmware package.

Similar to:
https://bugzilla.redhat.com/show_bug.cgi?id=1490172

Version-Release number of selected component (if applicable):

linux-firmware-20170622-75.gita3a26af2.fc26.noarch.rpm  <-- definitely works
linux-firmware-20180402-83.git8c1e439c.fc26.noarch.rpm  <-- fails, as described here

20170828-77, 20171126-80, 20171215-81, 20171215-82 are believed to work, but are not available in the repos for re-testing.

How reproducible:

Upgrade to package linux-firmware-20180402-83.git8c1e439c.fc26.noarch.rpm

Steps to Reproduce:

1.  Upgrade to package linux-firmware-20180402-83.git8c1e439c.fc26.noarch.rpm

Actual results:

Wifi adapter does not work.

Expected results:

Working wifi adapter.

Additional info:

uname -a
Linux sys-net 4.9.56-21.pvops.qubes.x86_64 #1 SMP Tue Oct 17 23:58:50 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
Xen 4.6.6

dmesg:
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: enabling device (0000 -> 0002)
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: Xen PCI mapped GSI17 to IRQ28
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: pci irq msi oper_irq_mode 2 irq_mode 0 reset_mode 0
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: Direct firmware load for ath10k/pre-cal-pci-0000:00:01.0.bin failed with error -2
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: Direct firmware load for ath10k/cal-pci-0000:00:01.0.bin failed with error -2
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: qca9377 hw1.1 target 0x05020001 chip_id 0x003821ff sub 1a3b:2b31
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: firmware ver WLAN.TF.1.0-00002-QCATFSWPZ-5 api 5 features ignore-otp crc32 c3e0d04f
[Wed Apr 11 19:57:29 2018] ath10k_pci 0000:00:01.0: board_file api 2 bmi_id N/A crc32 8aedfa4a
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: firmware crashed! (uuid d0e2158c-98e2-4a23-9161-ceeaf4ee5f73)
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: qca9377 hw1.1 target 0x05020001 chip_id 0x003821ff sub 1a3b:2b31
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: firmware ver WLAN.TF.1.0-00002-QCATFSWPZ-5 api 5 features ignore-otp crc32 c3e0d04f
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: board_file api 2 bmi_id N/A crc32 8aedfa4a
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: htt-ver 0.0 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: firmware register dump:
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [00]: 0x05020001 0x00000000 0x00A0F77F 0x00000000
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [04]: 0x00A0F77F 0x00060130 0x00000010 0xFFFFE000
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [08]: 0x0042136C 0x00420660 0x00400000 0x00400000
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [12]: 0x00000000 0x00000000 0x00952CD0 0x00952CE6
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [16]: 0x00000002 0x01010101 0x00000003 0x0000000A
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [20]: 0x00000328 0x00429880 0x009A37AC 0x00000032
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [24]: 0x800A0D0A 0x0040EA88 0x00420170 0x004173B0
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [28]: 0x00401F64 0x00401F68 0x00000000 0x00417550
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [32]: 0x00401FC0 0x088C03F0 0x00404F78 0x00000003
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [36]: 0x800A0907 0x00000001 0x0000085B 0x339011B2
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [40]: 0x0000FFFE 0x0000000A 0x009BFE28 0x009BE0DC
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [44]: 0x800A0D0A 0x0040EA88 0x00420170 0x004173B0
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [48]: 0x00400000 0x00400000 0x00000001 0xFFFFFFFF
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [52]: 0x800A0614 0x0040EAA8 0x0041FA10 0x00420170
[Wed Apr 11 19:57:31 2018] ath10k_pci 0000:00:01.0: [56]: 0x00400000 0x00421370 0x00419980 0x004212E8

modinfo ath10k_pci
filename:       /lib/modules/4.9.56-21.pvops.qubes.x86_64/kernel/drivers/net/wireless/ath/ath10k/ath10k_pci.ko
firmware:       ath10k/QCA9377/hw1.0/board.bin
firmware:       ath10k/QCA9377/hw1.0/firmware-5.bin
firmware:       ath10k/QCA6174/hw3.0/board-2.bin
firmware:       ath10k/QCA6174/hw3.0/board.bin
firmware:       ath10k/QCA6174/hw3.0/firmware-5.bin
firmware:       ath10k/QCA6174/hw3.0/firmware-4.bin
firmware:       ath10k/QCA6174/hw2.1/board-2.bin
firmware:       ath10k/QCA6174/hw2.1/board.bin
firmware:       ath10k/QCA6174/hw2.1/firmware-5.bin
firmware:       ath10k/QCA6174/hw2.1/firmware-4.bin
firmware:       ath10k/QCA9887/hw1.0/board-2.bin
firmware:       ath10k/QCA9887/hw1.0/board.bin
firmware:       ath10k/QCA9887/hw1.0/firmware-5.bin
firmware:       ath10k/QCA988X/hw2.0/board-2.bin
firmware:       ath10k/QCA988X/hw2.0/board.bin
firmware:       ath10k/QCA988X/hw2.0/firmware-5.bin
firmware:       ath10k/QCA988X/hw2.0/firmware-4.bin
firmware:       ath10k/QCA988X/hw2.0/firmware-3.bin
firmware:       ath10k/QCA988X/hw2.0/firmware-2.bin
license:        Dual BSD/GPL
description:    Driver support for Qualcomm Atheros 802.11ac WLAN PCIe/AHB devices
author:         Qualcomm Atheros
alias:          pci:v0000168Cd00000050sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000042sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000046sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000056sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000040sv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000003Esv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000041sv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000003Csv*sd*bc*sc*i*
depends:        ath10k_core
intree:         Y
vermagic:       4.9.56-21.pvops.qubes.x86_64 SMP mod_unload 
parm:           irq_mode:0: auto, 1: legacy, 2: msi (default: 0) (uint)
parm:           reset_mode:0: auto, 1: warm only (default: 0) (uint)

lspci -v
00:01.0 Network controller: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter (rev 31)
	Subsystem: AzureWave Device 2b31
	Flags: bus master, fast devsel, latency 0, IRQ 29, NUMA node 0
	Memory at ef000000 (64-bit, non-prefetchable) [size=2M]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/8 Maskable+ 64bit-
	Capabilities: [70] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [148] Virtual Channel
	Capabilities: [168] Device Serial Number 00-00-00-00-00-00-00-00
	Capabilities: [178] Latency Tolerance Reporting
	Capabilities: [180] L1 PM Substates
	Kernel driver in use: ath10k_pci
	Kernel modules: ath10k_pci

Comment 1 Fedora End Of Life 2018-05-03 07:52:23 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 11:21:05 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.